package gs.config.v0

import cats.effect.IO
import cats.effect.unsafe.IORuntime

abstract class GsSuite extends munit.FunSuite:
  given IORuntime = IORuntime.global

  def iotest(
    name: String
  )(
    body: => IO[Any]
  )(
    implicit
    loc: munit.Location
  ): Unit =
    test(new munit.TestOptions(name))(body.unsafeRunSync())
